BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.Reports.RetireReportRepository Class Reference

## Public Member Functions
| RetireReportRepository (IApplicationDBContext dbContext, MinIOService documentService, OrganizationCommonRepository organizationCommonRepository, IWebHostEnvironment hostEnvironment)
async Task< dynamic > | GetProfileRetirementdAsync (Guid retireId)
async Task< dynamic > | GetRetirementDeceasedAsync (Guid id)
async Task< dynamic > | GetHeadRetirementDeceasedAsync (Guid id)
async Task | UploadFileRetirementDeceasedAsync (Guid id, Domain.Models.Documents.Document file)
async Task< object > | GetResignByUser (Guid id)

## Constructor & Destructor Documentation

## ◆ RetireReportRepository()

BMA.EHR.Application.Repositories.Reports.RetireReportRepository.RetireReportRepository | ( | IApplicationDBContext | dbContext,
|  | MinIOService | documentService,
|  | OrganizationCommonRepository | organizationCommonRepository,
|  | IWebHostEnvironment | hostEnvironment
| ) |  |
| inline

## Member Function Documentation

## ◆ GetHeadRetirementDeceasedAsync()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.RetireReportRepository.GetHeadRetirementDeceasedAsync | ( | Guid | id | ) |
| inline

## ◆ GetProfileRetirementdAsync()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.RetireReportRepository.GetProfileRetirementdAsync | ( | Guid | retireId | ) |
| inline

## ◆ GetResignByUser()

async Task< object > BMA.EHR.Application.Repositories.Reports.RetireReportRepository.GetResignByUser | ( | Guid | id | ) |
| inline

## ◆ GetRetirementDeceasedAsync()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.RetireReportRepository.GetRetirementDeceasedAsync | ( | Guid | id | ) |
| inline

## ◆ UploadFileRetirementDeceasedAsync()

async Task BMA.EHR.Application.Repositories.Reports.RetireReportRepository.UploadFileRetirementDeceasedAsync | ( | Guid | id,
|  | Domain::Models::Documents::Document | file
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Reports/RetireReportRepository.cs